Skip to main content
GET
/
transfers
List transfers
curl --request GET \
  --url https://api.anchorage-staging.com/v2/transfers \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "transferId": "008d3ec72558ce907571886df63ef51594b5bd8cf106a0b7fa8f12a30dfc867f",
      "amount": {
        "quantity": "1000.00000000",
        "assetType": "USDC",
        "currentPrice": "1.00",
        "currentUSDValue": "1000.00"
      },
      "fee": {
        "quantity": "0.0002207155625",
        "assetType": "ETH"
      },
      "assetType": "USDC",
      "source": {
        "id": "1c920f4241b78a1d483a29f3c24b6c4c",
        "type": "WALLET"
      },
      "destination": {
        "id": "55e89d4a644d736b01533a2ea9b32a20",
        "type": "WALLET"
      },
      "transferMemo": "Internal ID: #12838927347",
      "status": "COMPLETED",
      "createdAt": "2019-01-02T12:34:56.000Z",
      "endedAt": "2019-01-03T12:34:56.000Z"
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

vaultId
string

The ID of a vault. If provided, only transfers originating from this vault will be returned.

walletId
string

The ID of a wallet. If provided, only transfers originating from this wallet will be returned.

transferIds
string[]

A list of transferIds to return. Invalid transferIds will be ignored.

startDate
string<date>

The start date (inclusive) in YYYY-MM-DD format. The earliest valid start date is '2017-01-01`. Dates are always in UTC RFC 3339 'full-date'.

endDate
string<date>

The end date (inclusive) in YYYY-MM-DD format. The latest valid end date is the current date. Dates are always in UTC RFC 3339 'full-date'.

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:100

Maximum number of results to return per query

Required range: 1 <= x <= 100
statuses
enum<string>[]

One or more transfer statuses to filter results

Available options:
IN_PROGRESS,
COMPLETED,
FAILED,
QUEUED

Response

A list of transfers.

data
TransferDetails · object[]
required
page
Page · object
required

Pagination info